<search-ventures>
    <div style="display: flex;align-items: center;">
        <input if={CURRENT_LANGUAGE==="en"} class='riot-search' ref='q' onchange={ search } value='{ filters.q }' type='text' placeholder="Search by keyword" style="flex: 3; margin-right: 20px;">
        <button if={CURRENT_LANGUAGE==="en"} class='button secondary' style="font-weight: 400; flex: 1; margin-bottom: 0px;" onclick={ toggle_view }>View online-only services</button>
        <input if={CURRENT_LANGUAGE==="fr"} class='riot-search' ref='q' onchange={ search } value='{ filters.q }' type='text' placeholder="Recherche par mots-clés" style="flex: 3; margin-right: 20px;">
        <button if={CURRENT_LANGUAGE==="fr"} class='button secondary' style="font-weight: 400; flex: 1; margin-bottom: 0px;" onclick={ toggle_view }>Afficher les services en ligne uniquement</button>

    </div>
    <p class="filter-by" if={CURRENT_LANGUAGE=="en"}>Filter results by</p>
    <p class="filter-by" if={CURRENT_LANGUAGE=="fr"}>Filtrer les résultats par</p>
    <div style="display: flex">
        <select class="riot-select" ref='services_array__contains' onchange={ search }>
            <option value='' if={CURRENT_LANGUAGE==="en"} >Any category</option>
            <option value='' if={CURRENT_LANGUAGE==="fr"} >N'importe quelle catégorie</option>
            <option value='{ item }' each='{ item, i in enums.SECTOR_OPTIONS }' selected={filters.services_array__contains == item}>{ item }</option>
        </select>

        <select class="riot-select" ref='pricing_array__contains' onchange={ search }>
            <option value='' if={CURRENT_LANGUAGE==="en"} >Any pricing</option>
            <option value='' if={CURRENT_LANGUAGE==="fr"} >Tout prix</option>
            <option value='{ item }' each='{ item, i in enums.PRICING_OPTIONS }' selected={filters.pricing_array__contains == item}>{ item }</option>
        </select>

        <select class="riot-select" ref='search-type' onchange={ search } if={CURRENT_LANGUAGE==="en"}>
            <option value=''>order by</option>
            <option value='most-relevant'>Relevant</option>
            <option value='calphabetical'>Alphabetical</option>
            <option value='velocity'>Popular</option>
            <option value='point'>Distance</option>
        </select>
        <select class="riot-select" ref='search-type' onchange={ search } if={CURRENT_LANGUAGE==="fr"}>
            <option value=''>commandé par</option>
            <option value='most-relevant'>Pertinent</option>
            <option value='calphabetical'>Alphabétique</option>
            <option value='velocity'>Populaire</option>
            <option value='point'>Distance</option>
        </select>
    </div>

var controller = this;
console.log(CURRENT_LANGUAGE)
controller.filters = qs2json(window.location.hash);
// default search-type filter is alphabetical
controller.filters['search-type'] = 'alphabetical'

toggle_view(e) {
    var map_el = document.querySelector('.mapcontainer-full')

    if(e.target.innerText == 'View online-only services'){
        e.target.innerText = 'View map';
        map_el.style.display = 'none';

        <!--  below is from changing tab function  -->
        controller.update({tab: 'list'});
        results_manager.trigger("update_tab", 'list');
        if(typeof opts.on_tab_select === "function"){
            opts.on_tab_select('list');
        }
    } else {
        e.target.innerText = 'View online-only services';
        map_el.style.display = 'block';

        controller.update({tab: 'map'});
        results_manager.trigger("update_tab", 'map');
        if(typeof opts.on_tab_select === "function"){
            opts.on_tab_select('map');
        }
    }
}

search(){
  for (var k in controller.refs) {
    controller.filters[k] = controller.refs[k].value
  }
  results_manager.trigger('search', controller.filters)
}
results_manager.trigger('search', controller.filters);

</search-ventures>
